<div [class]="'app-sidebar sidebar-shadow ' + (config$ | async).sidebarTheme" (mouseover)="sidebarHover()" (mouseout)="sidebarHover()">
    <div class="app-header__logo">
        <div class="logo-src"></div>
        <div class="header__pane ml-auto">
            <button type="button" class="hamburger close-sidebar-btn hamburger--elastic" [ngClass]="{'is-active' : globals.toggleSidebar}" (click)="toggleSidebar()">
        <span class="hamburger-box">
            <span class="hamburger-inner"></span>
        </span>
      </button>
        </div>
    </div>
    <div class="app-sidebar-content">
        <div class="app-sidebar-scroll">
            <perfect-scrollbar [autoPropagation]="true">
                <div class="v-sidebar-menu vsm-default">
                    <div class="vsm-list">
                        <ngb-accordion [destroyOnHide]="false" [closeOthers]="true" [activeIds]="extraParameter">
                            <ngb-panel>
                                <ng-template ngbPanelHeader>
                                    <div class="vsm-header">Navegación principal</div>
                                </ng-template>
                            </ngb-panel>
                            <ngb-panel id="dashboardsMenu">
                                <ng-template ngbPanelHeader>
                                    <button ngbPanelToggle class="vsm-link">
                    <i class="vsm-icon pe-7s-rocket"></i>
                    <span class="vsm-title">Dashboard</span>
                    <i class="vsm-arrow"></i>
                  </button>
                                </ng-template>
                                <ng-template ngbPanelContent>
                                    <div class="vsm-dropdown">
                                        <div class="vsm-list">
                                            <div class="vsm-item"><a routerLink="" routerLinkActive="active-item" [routerLinkActiveOptions]="{exact: true}" class="vsm-link"><span
                        class="vsm-title">Analítica</span></a>
                                            </div>
                                        </div>
                                    </div>
                                </ng-template>
                            </ngb-panel>
                            <ngb-panel>
                                <ng-template ngbPanelHeader>
                                    <div class="vsm-header">Catálogos</div>
                                </ng-template>
                            </ngb-panel>
                            <ngb-panel id="elementsMenu">
                                <ng-template ngbPanelHeader>
                                    <button ngbPanelToggle class="vsm-link">
                    <i class="vsm-icon pe-7s-diamond"></i>
                    <span class="vsm-title">Catálogos</span>
                    <i class="vsm-arrow"></i>
                  </button>
                                </ng-template>
                                <ng-template ngbPanelContent>
                                    <div class="vsm-dropdown">
                                        <div class="vsm-list">
                                            <div class="vsm-item">
                                                <a routerLinkActive="active-item" routerLink="/catalogos/productos" class="vsm-link"> <span class="vsm-title">Productos</span></a>
                                            </div>
                                            <div class="vsm-item">
                                                <a routerLinkActive="active-item" routerLink="/catalogos/marcas" class="vsm-link"> <span class="vsm-title">Marcas</span></a>
                                            </div>
                                            <div class="vsm-item">
                                                <a routerLinkActive="active-item" routerLink="/catalogos/proveedores" class="vsm-link"><span
                          class="vsm-title">Proveedores</span></a>
                                            </div>
                                            <div class="vsm-item">
                                                <a routerLinkActive="active-item" routerLink="/catalogos/tiposPago" class="vsm-link"><span
                          class="vsm-title">Tipo de Pago</span></a>
                                            </div>
                                            <div class="vsm-item">
                                                <a routerLinkActive="active-item" routerLink="/notificaciones" class="vsm-link"> <span class="vsm-title">Acción/Notificación</span></a>
                                            </div>
                                            <div class="vsm-item">
                                                <a routerLinkActive="active-item" routerLink="/catalogos/estatusPedidos" class="vsm-link"> <span class="vsm-title">Estatus Pedido</span></a>
                                            </div>
                                            <div class="vsm-item">
                                                <a routerLinkActive="active-item" routerLink="/catalogos/tallas" class="vsm-link"> <span class="vsm-title">Tallas</span></a>
                                            </div>
                                        </div>
                                    </div>
                                </ng-template>
                            </ngb-panel>
                            <ngb-panel id="componentsMenu">
                                <ng-template ngbPanelHeader>
                                    <button ngbPanelToggle class="vsm-link">
                    <i class="vsm-icon pe-7s-car"></i>
                    <span class="vsm-title">Administración</span>
                    <i class="vsm-arrow"></i>
                  </button>
                                </ng-template>
                                <ng-template ngbPanelContent>
                                    <div class="vsm-dropdown">
                                        <div class="vsm-list">
                                            <div class="vsm-item">
                                                <a routerLinkActive="active-item" routerLink="/usuarios" class="vsm-link"><span
                          class="vsm-title">Usuarios</span></a>
                                            </div>
                                            <div class="vsm-item">
                                                <a routerLinkActive="active-item" routerLink="/pedidos" class="vsm-link"> <span class="vsm-title">Pedidos</span></a>
                                            </div>
                                            <div class="vsm-item">
                                                <a routerLinkActive="active-item" routerLink="/carritos" class="vsm-link"> <span class="vsm-title">Carritos</span></a>
                                            </div>
                                        </div>
                                    </div>
                                </ng-template>
                            </ngb-panel>
                        </ngb-accordion>
                        <div class="vsm-header">Analítica</div>
                        <div class="vsm-item">
                            <a routerLink="/analitica" routerLinkActive="active-item" class="vsm-link">
                                <i class="vsm-icon pe-7s-graph2"></i>
                                <span class="vsm-title">Gráficos</span>
                            </a>
                        </div>
                    </div>
                </div>
            </perfect-scrollbar>
        </div>
    </div>
</div>